  const set = ref(new Set());
  const tagTypes = ['primary', 'success', 'warning', 'danger', 'info'];
  
  export const getTagType = computed(() => (colName: any) => {
    if (colName === 'ZOSI') return 'danger';  // 默认zosi为红色
    if (!colName) return 'default';

    if (!set.value.has(colName)) {
      set.value.add(colName);
    }

    const index = Array.from(set.value).indexOf(colName);
    return tagTypes[index % tagTypes.length];
  });
